public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Palimaka" <kensington@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/flatbuffers/
Date: Sat, 29 Jul 2017 03:42:44 +0000 (UTC)	[thread overview]
Message-ID: <1501299755.0c24b5e4bd0c84f038d6fd2b94e65b46afd82947.kensington@gentoo> (raw)

commit:     0c24b5e4bd0c84f038d6fd2b94e65b46afd82947
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 03:39:44 2017 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Jul 29 03:42:35 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c24b5e4

dev-libs/flatbuffers: version bump 1.7.1

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-libs/flatbuffers/Manifest                 |  1 +
 dev-libs/flatbuffers/flatbuffers-1.7.1.ebuild | 33 +++++++++++++++++++++++++++
 2 files changed, 34 insertions(+)

diff --git a/dev-libs/flatbuffers/Manifest b/dev-libs/flatbuffers/Manifest
index 0640c010d59..b3af42e7858 100644
--- a/dev-libs/flatbuffers/Manifest
+++ b/dev-libs/flatbuffers/Manifest
@@ -1 +1,2 @@
 DIST flatbuffers-1.6.0.tar.gz 440968 SHA256 768c50ebf5823f8cde81a9e38ffff115c8f5a5d031a37520d0024e7b9c6cd22e SHA512 d1e4d47cac663010eda58ca801e6da5e9d54104115dbb70b125b9251041611229e39c17a4b63f06eee2424f3cdd733b8efa49c723759ad533a07d33ef8406bcc WHIRLPOOL 1572de7bf181d00bbdf68d27b6ce369693f7eeb4a27aa56adfd9eb46554c520d0a66350eb2db071c5b4a8fb00b2bf67cb06732a2c7d1e716d2347ea72a4882a0
+DIST flatbuffers-1.7.1.tar.gz 475449 SHA256 0f8dcdcfbbaba034756f97e4f9946a3784399b578f1b60c8deee3c85fafa3089 SHA512 57732fc352c216c4be6d3237f93b872abf9dd2b62361d7d2856f99804a178760e4665ead2e33d5acdd00984ad03a746f581c9784ece583e1b2df1a10776f967a WHIRLPOOL 8a86ca1a5d0af6b0a637e1716cf32e8a7784b45d22ddaaf76fce5189c8a67dcbac74eb9d7e852c79d3f4c47543a95bb1765e5a297c5025b0a1ac0e3fae9a76da

diff --git a/dev-libs/flatbuffers/flatbuffers-1.7.1.ebuild b/dev-libs/flatbuffers/flatbuffers-1.7.1.ebuild
new file mode 100644
index 00000000000..80004da2362
--- /dev/null
+++ b/dev-libs/flatbuffers/flatbuffers-1.7.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic
+
+DESCRIPTION="Memory efficient serialization library"
+HOMEPAGE="https://google.github.io/flatbuffers/"
+SRC_URI="https://github.com/google/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="static-libs test"
+
+src_prepare() {
+	sed -i -e "s/DESTINATION lib/DESTINATION $(get_libdir)/" CMakeLists.txt || die
+
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	append-cppflags -std=c++11
+
+	local mycmakeargs=(
+		-DFLATBUFFERS_BUILD_FLATLIB=$(usex static-libs)
+		-DFLATBUFFERS_BUILD_SHAREDLIB=ON
+		-DFLATBUFFERS_BUILD_TESTS=$(usex test)
+	)
+
+	cmake-utils_src_configure
+}


             reply	other threads:[~2017-07-29  3:42 UTC|newest]

Thread overview: 85+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-29  3:42 Michael Palimaka [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-11  7:18 [gentoo-commits] repo/gentoo:master commit in: dev-libs/flatbuffers/ Michał Górny
2025-02-08 20:25 Michał Górny
2025-02-08 18:04 Sam James
2025-02-08 13:55 Arthur Zamarin
2025-02-08 11:39 Arthur Zamarin
2025-01-25  6:24 Michał Górny
2025-01-22  7:21 Michał Górny
2025-01-11 11:48 Michał Górny
2025-01-11 11:25 Sam James
2025-01-11 11:25 Sam James
2025-01-11 11:25 Sam James
2024-12-24 11:17 Michał Górny
2024-04-12  3:03 Michał Górny
2024-04-11 19:58 Sam James
2024-04-11 17:44 Arthur Zamarin
2024-04-11 17:43 Arthur Zamarin
2024-03-26  6:57 Michał Górny
2024-03-22 12:37 Michał Górny
2024-03-22  6:14 Arthur Zamarin
2024-03-22  6:14 Arthur Zamarin
2024-03-22  4:03 Sam James
2024-03-08  5:40 Michał Górny
2024-03-07 15:39 Michał Górny
2024-02-03 19:35 Jason Zaman
2023-08-24 22:37 Sam James
2023-06-27 13:34 Michał Górny
2023-06-27 12:36 Sam James
2023-06-27 12:36 Sam James
2023-06-27 12:36 Sam James
2023-05-27  5:33 Michał Górny
2023-04-05  9:14 Michał Górny
2023-04-05  9:14 Michał Górny
2023-04-05  8:59 Jakov Smolić
2023-04-05  8:46 Jakov Smolić
2023-04-05  8:35 Arthur Zamarin
2023-03-04  4:50 Michał Górny
2023-02-03 13:34 Sam James
2023-02-03 12:47 Arthur Zamarin
2023-02-03 12:20 Sam James
2023-01-22  9:01 Michał Górny
2023-01-05  7:42 Michał Górny
2022-12-26  8:50 Andreas Sturmlechner
2022-12-07 15:59 Michał Górny
2022-12-07 14:52 Michał Górny
2022-12-07 14:52 Michał Górny
2022-08-27 11:45 Yixun Lan
2022-06-22 18:23 Sam James
2022-06-17 18:00 Sam James
2022-06-15 17:51 Andreas Sturmlechner
2022-06-02  6:08 Agostino Sarubbo
2022-06-02  6:05 Agostino Sarubbo
2022-06-02  0:15 Sam James
2022-06-01 21:26 Andreas Sturmlechner
2022-05-02  0:37 Sam James
2022-05-02  0:37 Sam James
2021-12-20 12:42 Andreas Sturmlechner
2021-12-16 21:24 Jakov Smolić
2021-12-16 21:03 Arthur Zamarin
2021-12-16 16:39 Jakov Smolić
2021-09-07 16:56 Sam James
2021-06-20 20:53 Sam James
2021-03-29 14:50 Sam James
2020-06-04 14:06 Michał Górny
2020-06-02 22:21 Mart Raudsepp
2020-04-30 20:03 Andreas Sturmlechner
2020-04-17  6:54 Agostino Sarubbo
2020-04-17  6:48 Agostino Sarubbo
2020-03-19 15:43 Andreas Sturmlechner
2019-06-28 18:21 Andreas Sturmlechner
2019-06-28 15:21 Agostino Sarubbo
2019-06-28 11:37 Agostino Sarubbo
2019-05-30 13:06 Jory Pratt
2019-05-25 11:08 Andreas Sturmlechner
2018-11-29 20:04 Mikle Kolyada
2018-11-27 21:55 Thomas Deutschmann
2018-11-05 19:15 Craig Andrews
2018-10-11 19:02 Andreas Sturmlechner
2018-10-04 19:14 Andreas Sturmlechner
2018-08-10 13:01 Michael Palimaka
2018-02-25  5:32 Michael Palimaka
2018-02-02 11:40 Michael Palimaka
2018-01-12  9:17 Michael Palimaka
2017-08-19 15:49 Andreas Sturmlechner
2017-03-04 12:30 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1501299755.0c24b5e4bd0c84f038d6fd2b94e65b46afd82947.kensington@gentoo \
    --to=kensington@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox